IntelliCAD 11.1 Object Library
AddPolyfaceMesh Method
See Also 
Vertices

A series of Point objects specifying coordinate locations for each vertex of the mesh. There must be at least 4 vertices defined.

You can also input the number of vertices in each direction and their coordinates.

ListOfFaceIndices

The array of vertex numbers specifying the faces. Each element of the array is an integer. Each face is defined by four vertices.

PaperSpace Collection : AddPolyfaceMesh Method

Description

Adds a polyface mesh.

Syntax

Visual Basic
Public Function AddPolyfaceMesh( _
   ByVal Vertices As Points, _
   ByVal ListOfFaceIndices As Variant _
) As PolyfaceMesh

Parameters

Vertices

A series of Point objects specifying coordinate locations for each vertex of the mesh. There must be at least 4 vertices defined.

You can also input the number of vertices in each direction and their coordinates.

ListOfFaceIndices

The array of vertex numbers specifying the faces. Each element of the array is an integer. Each face is defined by four vertices.

Example

Private Sub AddPolyfaceMeshExample()

     ' This example creates and adds a polyface mesh to the drawing.

     Dim faceObj As IntelliCAD.PolyfaceMesh

     Dim icadDoc As IntelliCAD.Document

     Dim Pt1 As IntelliCAD.Point

     Dim Pt2 As IntelliCAD.Point

     Dim Pt3 As IntelliCAD.Point

     Dim Pt4 As IntelliCAD.Point

     Dim myPoints As Points

     Dim myObj As Object

     Set icadDoc = ActiveDocument

     ' Define the four coordinates of the face

     Set myPoints = Library.CreatePoints

     Set Pt1 = Library.CreatePoint(0, 0, 0)

     myPoints.Add

     myPoints(myPoints.Count - 1).x = Pt1.x

     myPoints(myPoints.Count - 1).y = Pt1.y

     myPoints(myPoints.Count - 1).z = Pt1.z

 

     Set Pt2 = Library.CreatePoint(3, 0, 2)

     myPoints.Add

     myPoints(myPoints.Count - 1).x = Pt2.x

     myPoints(myPoints.Count - 1).y = Pt2.y

     myPoints(myPoints.Count - 1).z = Pt2.z

     Set Pt3 = Library.CreatePoint(6, 5, 0)

     myPoints.Add

     myPoints(myPoints.Count - 1).x = Pt3.x

     myPoints(myPoints.Count - 1).y = Pt3.y

     myPoints(myPoints.Count - 1).z = Pt3.z

     Set Pt4 = Library.CreatePoint(4, 4, 2)

     myPoints.Add

     myPoints(myPoints.Count - 1).x = Pt4.x

     myPoints(myPoints.Count - 1).y = Pt4.y

     myPoints(myPoints.Count - 1).z = Pt4.z

     ' Add the 3DFace object

     Set faceObj = icadDoc.ModelSpace.AddPolyfaceMesh(myPoints)

     ' DEFINE ADDITIONAL FACE INFO HERE

     faceObj.Update

ThisDocument.Application.ZoomExtents

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.